getting error: command 'gcc' failed with exit status 1 while installing matplotlib in CentOS

I am using the virtualenvwrapper and am installing this in a new virtualenv.
I also tried installing it locally but failed with the same error:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

···

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-aybCcz-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log

And from the pip.log :

   status = self.run(options, args)
  File
"/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/commands/install.py",
line 271, in run
    requirement_set.install(install_options, global_options,
root=options.root_path)
  File "/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/req.py",
line 1185, in install
    requirement.install(install_options, global_options, *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/req.py",
line 592, in install
    cwd=self.source_dir, filter_stdout=self._filter_install,
show_stdout=False)
  File "/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/util.py",
line 662, in call_subprocess
    % (command_desc, proc.returncode, cwd))
InstallationError: Command /usr/bin/python -c "import
setuptools;__file__='/tmp/pip-build-webalert/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-AnrXxv-record/install-record.txt
--single-version-externally-managed failed with error code 1 in
/tmp/pip-build-webalert/matplotlib

I tried to install "Development Tools", and gcc: yum install gcc-c++
compat-gcc-32 compat-gcc-32-c++

This did not resolve the issue. Is the problem an incompatible version of
numpy? Any help would be appreciated.

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

Also when installing it locally NOT using pip, it worked

sudo yum install python-matplotlib

I do want to install it into my virtualenv however.

···

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41008.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

I am using the virtualenvwrapper and am installing this in a new virtualenv.
I also tried installing it locally but failed with the same error:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

It's very odd that gcc is quitting with an error but only emitting a warning. Can you include the gcc command that was run (it should be a long line immediately above what you've excerpted here).

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-aybCcz-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log

And from the pip.log :

    status = self.run(options, args)
   File
"/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/commands/install.py",
line 271, in run
     requirement_set.install(install_options, global_options,
root=options.root_path)
   File "/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/req.py",
line 1185, in install
     requirement.install(install_options, global_options, *args, **kwargs)
   File "/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/req.py",
line 592, in install
     cwd=self.source_dir, filter_stdout=self._filter_install,
show_stdout=False)
   File "/usr/lib/python2.6/site-packages/pip-1.3.1-py2.6.egg/pip/util.py",
line 662, in call_subprocess
     % (command_desc, proc.returncode, cwd))
InstallationError: Command /usr/bin/python -c "import
setuptools;__file__='/tmp/pip-build-webalert/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-AnrXxv-record/install-record.txt
--single-version-externally-managed failed with error code 1 in
/tmp/pip-build-webalert/matplotlib

I have no idea what this means, but it looks pretty internal to pip and setuptools. Does pip work to install other packages?

I tried to install "Development Tools", and gcc: yum install gcc-c++
compat-gcc-32 compat-gcc-32-c++

This did not resolve the issue. Is the problem an incompatible version of
numpy? Any help would be appreciated.

What version of Numpy do you have installed?

Mike

···

On 05/06/2013 01:20 PM, rad wrote:

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

------------------------------------------------------------------------------
Introducing AppDynamics Lite, a free troubleshooting tool for Java/.NET
Get 100% visibility into your production application - at no cost.
Code-level diagnostics for performance bottlenecks with <2% overhead
Download for free and get started troubleshooting in minutes.
http://p.sf.net/sfu/appdyn_d2d_ap1
_______________________________________________
Matplotlib-devel mailing list
Matplotlib-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-devel

I was able to install everything with pip except for sqlite and matplotlib.

Downloading/unpacking matplotlib
  Downloading matplotlib-1.2.1.tar.gz (38

Python 2.6.6 (r266:84292, Feb 22 2013, 00:00:18)
[GCC 4.4.7 20120313 (Red Hat 4.4.7-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.

import numpy
numpy.__version__

'1.7.1'

This here is the complete error message:

copying lib/pytz/zoneinfo/Africa/Bujumbura ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Mbabane ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Harare ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Asmera ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Ceuta ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Tunis ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Abidjan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lubumbashi ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Timbuktu ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Conakry ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Kinshasa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Libreville ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Sao_Tome ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Douala ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Nairobi ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Porto-Novo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Cairo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Algiers ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Tripoli ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Luanda ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Brazzaville ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Maseru ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Bamako ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Accra ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Johannesburg ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lagos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Windhoek ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lome ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Niamey ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Kigali ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Bissau ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Maputo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Ndjamena ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Juba ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Asmara ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Nouakchott ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Ouagadougou ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Casablanca ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Kampala ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Dar_es_Salaam ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Bangui ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Freetown ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Dakar ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Gaborone ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lusaka ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Addis_Ababa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Monrovia ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Banjul ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Saipan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Honolulu ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Easter ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Port_Moresby ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Guam ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Palau ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Apia ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Ponape ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Enderbury ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Guadalcanal ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Rarotonga ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Kosrae ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Fakaofo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Kwajalein ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Fiji ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Galapagos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Pohnpei ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Marquesas ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Efate ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Chuuk ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Majuro ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Johnston ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Truk ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Norfolk ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Wallis ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Niue ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Kiritimati ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Tahiti ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Noumea ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Samoa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Nauru ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Funafuti ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Tarawa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Pitcairn ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Yap ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Gambier ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Chatham ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Tongatapu ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Auckland ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Pago_Pago ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Wake ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Midway ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Christmas ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Antananarivo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Kerguelen ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Chagos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Mayotte ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Mauritius ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Maldives ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Mahe ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Comoro ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Reunion ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Cocos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Chile

copying lib/pytz/zoneinfo/Chile/EasterIsland ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Chile

copying lib/pytz/zoneinfo/Chile/Continental ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Chile

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

copying lib/pytz/zoneinfo/Mideast/Riyadh89 ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

copying lib/pytz/zoneinfo/Mideast/Riyadh88 ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

copying lib/pytz/zoneinfo/Mideast/Riyadh87 ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

copying lib/pytz/zoneinfo/Mexico/BajaNorte ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

copying lib/pytz/zoneinfo/Mexico/BajaSur ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

copying lib/pytz/zoneinfo/Mexico/General ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Arizona ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Aleutian ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Mountain ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Eastern ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Hawaii ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Pacific ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/East-Indiana ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Alaska ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Samoa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Pacific-New ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Michigan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Indiana-Starke ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Central ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Yukon ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Newfoundland ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Mountain ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Eastern ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Atlantic ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Pacific ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Saskatchewan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/East-Saskatchewan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Central ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/dateutil_py2/zoneinfo/zoneinfo-2010g.tar.gz ->
build/lib.linux-x86_64-2.6/dateutil/zoneinfo

running build_ext

building 'matplotlib.ft2font' extension

creating build/temp.linux-x86_64-2.6

creating build/temp.linux-x86_64-2.6/src

creating build/temp.linux-x86_64-2.6/CXX

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I. -I/usr/local/include/freetype2
-I/usr/include/freetype2
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/freetype2
-I/usr/local/include/freetype2 -I/usr/include/freetype2 -I./freetype2
-I/usr/include/python2.6 -c src/ft2font.cpp -o
build/temp.linux-x86_64-2.6/src/ft2font.o

In file included from src/ft2font.cpp:3:

src/ft2font.h:16:22: error: ft2build.h: No such file or directory

src/ft2font.h:17:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:18:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:19:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:20:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:21:10: error: #include expects "FILENAME" or <FILENAME>

In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,

                 from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,

                 from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,

                 from src/ft2font.cpp:7:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

In file included from src/ft2font.cpp:3:

src/ft2font.h:34: error: ‘FT_Bitmap’ has not been declared

src/ft2font.h:34: error: ‘FT_Int’ has not been declared

src/ft2font.h:34: error: ‘FT_Int’ has not been declared

src/ft2font.h:86: error: ISO C++ forbids declaration of ‘FT_Face’ with no
type

src/ft2font.h:86: error: expected ‘,’ or ‘...’ before ‘&’ token

src/ft2font.h:132: error: ‘FT_Face’ does not name a type

src/ft2font.h:133: error: ‘FT_Matrix’ does not name a type

src/ft2font.h:134: error: ‘FT_Vector’ does not name a type

src/ft2font.h:135: error: ‘FT_Error’ does not name a type

src/ft2font.h:136: error: ‘FT_Glyph’ was not declared in this scope

src/ft2font.h:136: error: template argument 1 is invalid

src/ft2font.h:136: error: template argument 2 is invalid

src/ft2font.h:137: error: ‘FT_Vector’ was not declared in this scope

src/ft2font.h:137: error: template argument 1 is invalid

src/ft2font.h:137: error: template argument 2 is invalid

src/ft2font.h:143: error: ‘FT_BBox’ does not name a type

src/ft2font.cpp:41: error: ‘FT_Library’ does not name a type

src/ft2font.cpp:106: error: variable or field ‘draw_bitmap’ declared void

src/ft2font.cpp:106: error: ‘FT_Bitmap’ was not declared in this scope

src/ft2font.cpp:106: error: ‘bitmap’ was not declared in this scope

src/ft2font.cpp:107: error: ‘FT_Int’ was not declared in this scope

src/ft2font.cpp:108: error: ‘FT_Int’ was not declared in this scope

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

···

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-7N0x5g-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log

it looks to be complaining about some of the dependencies but keeps going.

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41010.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

It looks like you don't have the freetype development headers installed.

Try --

   yum install freetype-devel

Or as a shortcut to get all of the build dependencies installed:

   yum-builddep python-matplotlib

Mike

···

On 05/06/2013 05:01 PM, rad wrote:

I was able to install everything with pip except for sqlite and matplotlib.

Downloading/unpacking matplotlib
   Downloading matplotlib-1.2.1.tar.gz (38

Python 2.6.6 (r266:84292, Feb 22 2013, 00:00:18)
[GCC 4.4.7 20120313 (Red Hat 4.4.7-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.

import numpy
numpy.__version__

'1.7.1'
This here is the complete error message:

copying lib/pytz/zoneinfo/Africa/Bujumbura ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Mbabane ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Harare ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Asmera ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Ceuta ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Tunis ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Abidjan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lubumbashi ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Timbuktu ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Conakry ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Kinshasa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Libreville ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Sao_Tome ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Douala ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Nairobi ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Porto-Novo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Cairo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Algiers ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Tripoli ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Luanda ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Brazzaville ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Maseru ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Bamako ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Accra ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Johannesburg ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lagos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Windhoek ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lome ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Niamey ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Kigali ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Bissau ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Maputo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Ndjamena ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Juba ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Asmara ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Nouakchott ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Ouagadougou ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Casablanca ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Kampala ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Dar_es_Salaam ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Bangui ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Freetown ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Dakar ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Gaborone ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Lusaka ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Addis_Ababa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Monrovia ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

copying lib/pytz/zoneinfo/Africa/Banjul ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Africa

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Saipan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Honolulu ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Easter ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Port_Moresby ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Guam ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Palau ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Apia ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Ponape ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Enderbury ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Guadalcanal ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Rarotonga ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Kosrae ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Fakaofo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Kwajalein ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Fiji ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Galapagos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Pohnpei ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Marquesas ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Efate ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Chuuk ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Majuro ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Johnston ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Truk ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Norfolk ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Wallis ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Niue ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Kiritimati ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Tahiti ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Noumea ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Samoa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Nauru ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Funafuti ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Tarawa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Pitcairn ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Yap ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Gambier ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Chatham ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Tongatapu ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Auckland ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Pago_Pago ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Wake ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

copying lib/pytz/zoneinfo/Pacific/Midway ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Pacific

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Christmas ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Antananarivo ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Kerguelen ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Chagos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Mayotte ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Mauritius ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Maldives ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Mahe ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Comoro ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Reunion ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

copying lib/pytz/zoneinfo/Indian/Cocos ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Indian

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Chile

copying lib/pytz/zoneinfo/Chile/EasterIsland ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Chile

copying lib/pytz/zoneinfo/Chile/Continental ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Chile

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

copying lib/pytz/zoneinfo/Mideast/Riyadh89 ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

copying lib/pytz/zoneinfo/Mideast/Riyadh88 ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

copying lib/pytz/zoneinfo/Mideast/Riyadh87 ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mideast

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

copying lib/pytz/zoneinfo/Mexico/BajaNorte ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

copying lib/pytz/zoneinfo/Mexico/BajaSur ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

copying lib/pytz/zoneinfo/Mexico/General ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Mexico

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Arizona ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Aleutian ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Mountain ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Eastern ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Hawaii ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Pacific ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/East-Indiana ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Alaska ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Samoa ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Pacific-New ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Michigan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Indiana-Starke ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

copying lib/pytz/zoneinfo/US/Central ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/US

creating build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Yukon ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Newfoundland ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Mountain ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Eastern ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Atlantic ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Pacific ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Saskatchewan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/East-Saskatchewan ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/pytz/zoneinfo/Canada/Central ->
build/lib.linux-x86_64-2.6/pytz/zoneinfo/Canada

copying lib/dateutil_py2/zoneinfo/zoneinfo-2010g.tar.gz ->
build/lib.linux-x86_64-2.6/dateutil/zoneinfo

running build_ext

building 'matplotlib.ft2font' extension

creating build/temp.linux-x86_64-2.6

creating build/temp.linux-x86_64-2.6/src

creating build/temp.linux-x86_64-2.6/CXX

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I. -I/usr/local/include/freetype2
-I/usr/include/freetype2
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/freetype2
-I/usr/local/include/freetype2 -I/usr/include/freetype2 -I./freetype2
-I/usr/include/python2.6 -c src/ft2font.cpp -o
build/temp.linux-x86_64-2.6/src/ft2font.o

In file included from src/ft2font.cpp:3:

src/ft2font.h:16:22: error: ft2build.h: No such file or directory

src/ft2font.h:17:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:18:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:19:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:20:10: error: #include expects "FILENAME" or <FILENAME>

src/ft2font.h:21:10: error: #include expects "FILENAME" or <FILENAME>

In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,

                  from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,

                  from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,

                  from src/ft2font.cpp:7:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

In file included from src/ft2font.cpp:3:

src/ft2font.h:34: error: ‘FT_Bitmap’ has not been declared

src/ft2font.h:34: error: ‘FT_Int’ has not been declared

src/ft2font.h:34: error: ‘FT_Int’ has not been declared

src/ft2font.h:86: error: ISO C++ forbids declaration of ‘FT_Face’ with no
type

src/ft2font.h:86: error: expected ‘,’ or ‘...’ before ‘&’ token

src/ft2font.h:132: error: ‘FT_Face’ does not name a type

src/ft2font.h:133: error: ‘FT_Matrix’ does not name a type

src/ft2font.h:134: error: ‘FT_Vector’ does not name a type

src/ft2font.h:135: error: ‘FT_Error’ does not name a type

src/ft2font.h:136: error: ‘FT_Glyph’ was not declared in this scope

src/ft2font.h:136: error: template argument 1 is invalid

src/ft2font.h:136: error: template argument 2 is invalid

src/ft2font.h:137: error: ‘FT_Vector’ was not declared in this scope

src/ft2font.h:137: error: template argument 1 is invalid

src/ft2font.h:137: error: template argument 2 is invalid

src/ft2font.h:143: error: ‘FT_BBox’ does not name a type

src/ft2font.cpp:41: error: ‘FT_Library’ does not name a type

src/ft2font.cpp:106: error: variable or field ‘draw_bitmap’ declared void

src/ft2font.cpp:106: error: ‘FT_Bitmap’ was not declared in this scope

src/ft2font.cpp:106: error: ‘bitmap’ was not declared in this scope

src/ft2font.cpp:107: error: ‘FT_Int’ was not declared in this scope

src/ft2font.cpp:108: error: ‘FT_Int’ was not declared in this scope

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-7N0x5g-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log

it looks to be complaining about some of the dependencies but keeps going.

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41010.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and
their applications. This 200-page book is written by three acclaimed
leaders in the field. The early access version is available now.
Download your free book today! http://p.sf.net/sfu/neotech_d2d_may
_______________________________________________
Matplotlib-devel mailing list
Matplotlib-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-devel

Try --

   yum install freetype-devel

This installed successfully.

Or as a shortcut to get all of the build dependencies installed:

   yum-builddep python-matplotlib

This ended with:

(mandala)[webalert@...212... ~]$ sudo yum-builddep python-matplotlib
[sudo] password for webalert:
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* base: centos.mirror.ca.planethoster.net
* extras: mirror.science.uottawa.ca
* rpmforge: mirror.team-cymru.org
* updates: centos.mirror.ca.planethoster.net
Checking for new repos for mirrors
No source RPM found for python-matplotlib-0.99.1.2-1.el6.x86_64
No uninstalled build requires

Still running into the error:

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
agg24/src/agg_trans_affine.cpp -o
build/temp.linux-x86_64-2.6/agg24/src/agg_trans_affine.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
agg24/src/agg_image_filters.cpp -o
build/temp.linux-x86_64-2.6/agg24/src/agg_image_filters.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
agg24/src/agg_bezier_arc.cpp -o
build/temp.linux-x86_64-2.6/agg24/src/agg_bezier_arc.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c CXX/cxxsupport.cxx -o
build/temp.linux-x86_64-2.6/CXX/cxxsupport.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c CXX/cxx_extensions.cxx
-o build/temp.linux-x86_64-2.6/CXX/cxx_extensions.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
CXX/IndirectPythonInterface.cxx -o
build/temp.linux-x86_64-2.6/CXX/IndirectPythonInterface.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c CXX/cxxextensions.c -o
build/temp.linux-x86_64-2.6/CXX/cxxextensions.o

g++ -pthread -shared build/temp.linux-x86_64-2.6/src/image.o
build/temp.linux-x86_64-2.6/src/mplutils.o
build/temp.linux-x86_64-2.6/agg24/src/agg_trans_affine.o
build/temp.linux-x86_64-2.6/agg24/src/agg_image_filters.o
build/temp.linux-x86_64-2.6/agg24/src/agg_bezier_arc.o
build/temp.linux-x86_64-2.6/CXX/cxxsupport.o
build/temp.linux-x86_64-2.6/CXX/cxx_extensions.o
build/temp.linux-x86_64-2.6/CXX/IndirectPythonInterface.o
build/temp.linux-x86_64-2.6/CXX/cxxextensions.o -L/usr/local/lib -L/usr/lib
-L/usr/local/lib64 -L/usr/lib64 -L/usr/lib64 -lstdc++ -lm -lpython2.6 -o
build/lib.linux-x86_64-2.6/matplotlib/_image.so

building 'matplotlib._png' extension

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include -I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I. -I/usr/include/python2.6 -c src/_png.cpp -o
build/temp.linux-x86_64-2.6/src/_png.o

src/_png.cpp:10:20: error: png.h: No such file or directory

In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,

                 from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,

                 from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,

                 from src/_png.cpp:28:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

In file included from src/file_compat.h:4,

                 from src/_png.cpp:30:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘PyObject* npy_PyFile_OpenFile(PyObject*, const char*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:247:
warning: deprecated conversion from string constant to ‘char*’

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘int npy_PyFile_CloseFile(PyObject*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:255:
warning: deprecated conversion from string constant to ‘char*’

src/_png.cpp: At global scope:

src/_png.cpp:67: error: variable or field ‘write_png_data’ declared void

src/_png.cpp:67: error: ‘png_structp’ was not declared in this scope

src/_png.cpp:67: error: ‘png_bytep’ was not declared in this scope

src/_png.cpp:67: error: ‘png_size_t’ was not declared in this scope

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

···

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-5AdrTx-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log
(mandala)[webalert@...212... ~]$ sudo yum-builddep python-matplotlib
[sudo] password for webalert:
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* base: centos.mirror.ca.planethoster.net
* extras: mirror.science.uottawa.ca
* rpmforge: mirror.team-cymru.org
* updates: centos.mirror.ca.planethoster.net
Checking for new repos for mirrors
No source RPM found for python-matplotlib-0.99.1.2-1.el6.x86_64
No uninstalled build requires
(mandala)[webalert@...212... ~]$ pip install matplotlib
Downloading/unpacking matplotlib
  Running setup.py egg_info for package matplotlib
    basedirlist is: ['/usr/local', '/usr']
   

    BUILDING MATPLOTLIB
                matplotlib: 1.2.1
                    python: 2.6.6 (r266:84292, Feb 22 2013, 00:00:18) [GCC
                            4.4.7 20120313 (Red Hat 4.4.7-3)]
                  platform: linux2
    
    REQUIRED DEPENDENCIES
                     numpy: 1.7.1
                 freetype2: 9.22.3
    
    OPTIONAL BACKEND DEPENDENCIES
                    libpng: found, but unknown version (no pkg-config)
                            * Could not find 'libpng' headers in any of
                            * '/usr/local/include', '/usr/include',
                            * '/usr/local/include', '/usr/include', '.'
                   Tkinter: no
                            * TKAgg requires Tkinter
                      Gtk+: no
                            * Building for Gtk+ requires pygtk; you must be
able
                            * to "import gtk" in your build/install
environment
           Mac OS X native: no
                        Qt: no
                       Qt4: no
                    PySide: no
                     Cairo: no
    
    OPTIONAL DATE/TIMEZONE DEPENDENCIES
                  dateutil: matplotlib will provide
                      pytz: matplotlib will provide
    
    OPTIONAL USETEX DEPENDENCIES
                    dvipng: no
               ghostscript: 8.70
                     latex: no
                   pdftops: 0.12.4
    
    [Edit setup.cfg to suppress the above messages]
   

    pymods ['pylab']
    packages ['matplotlib', 'matplotlib.backends',
'matplotlib.backends.qt4_editor', 'matplotlib.projections',
'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests',
'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid',
'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist',
'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz',
'dateutil', 'dateutil.zoneinfo']
    warning: no files found matching 'KNOWN_BUGS'
    warning: no files found matching 'INTERACTIVE'
    warning: no files found matching 'make.osx'
    warning: no files found matching 'MANIFEST'
    warning: no files found matching '__init__.py'
    warning: no files found matching 'examples/data/*'
    warning: no files found matching 'lib/mpl_toolkits'
    warning: no files found matching
'lib/matplotlib/mpl-data/matplotlib.conf'
    warning: no files found matching
'lib/matplotlib/mpl-data/matplotlib.conf.template'
    warning: manifest_maker: MANIFEST.in, line 16: 'recursive-include'
expects <dir> <pattern1> <pattern2> ...
    warning: no files found matching 'LICENSE*' under directory 'license'
Installing collected packages: matplotlib
  Running setup.py install for matplotlib
    basedirlist is: ['/usr/local', '/usr']
   

    BUILDING MATPLOTLIB
                matplotlib: 1.2.1
                    python: 2.6.6 (r266:84292, Feb 22 2013, 00:00:18) [GCC
                            4.4.7 20120313 (Red Hat 4.4.7-3)]
                  platform: linux2
    
    REQUIRED DEPENDENCIES
                     numpy: 1.7.1
                 freetype2: 9.22.3
    
    OPTIONAL BACKEND DEPENDENCIES
                    libpng: found, but unknown version (no pkg-config)
                            * Could not find 'libpng' headers in any of
                            * '/usr/local/include', '/usr/include',
                            * '/usr/local/include', '/usr/include', '.'
                   Tkinter: no
                            * TKAgg requires Tkinter
                      Gtk+: no
                            * Building for Gtk+ requires pygtk; you must be
able
                            * to "import gtk" in your build/install
environment
           Mac OS X native: no
                        Qt: no
                       Qt4: no
                    PySide: no
                     Cairo: no
    
    OPTIONAL DATE/TIMEZONE DEPENDENCIES
                  dateutil: matplotlib will provide
                      pytz: matplotlib will provide
    
    OPTIONAL USETEX DEPENDENCIES
                    dvipng: no
               ghostscript: 8.70
                     latex: no
                   pdftops: 0.12.4
    
    [Edit setup.cfg to suppress the above messages]
   

    pymods ['pylab']
    packages ['matplotlib', 'matplotlib.backends',
'matplotlib.backends.qt4_editor', 'matplotlib.projections',
'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests',
'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid',
'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist',
'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz',
'dateutil', 'dateutil.zoneinfo']
    building 'matplotlib._png' extension
    gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API
-DPYCXX_ISO_CPP_LIB=1 -I/usr/local/include -I/usr/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I. -I/usr/include/python2.6 -c src/_png.cpp -o
build/temp.linux-x86_64-2.6/src/_png.o
    src/_png.cpp:10:20: error: png.h: No such file or directory
    In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,
                     from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,
                     from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,
                     from src/_png.cpp:28:
   
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"
    In file included from src/file_compat.h:4,
                     from src/_png.cpp:30:
   
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘PyObject* npy_PyFile_OpenFile(PyObject*, const char*)’:
   
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:247:
warning: deprecated conversion from string constant to ‘char*’
   
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘int npy_PyFile_CloseFile(PyObject*)’:
   
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:255:
warning: deprecated conversion from string constant to ‘char*’
    src/_png.cpp: At global scope:
    src/_png.cpp:67: error: variable or field ‘write_png_data’ declared void
    src/_png.cpp:67: error: ‘png_structp’ was not declared in this scope
    src/_png.cpp:67: error: ‘png_bytep’ was not declared in this scope
    src/_png.cpp:67: error: ‘png_size_t’ was not declared in this scope
   
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used
    error: command 'gcc' failed with exit status 1
    Complete output from command
/home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-9i4ni6-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6:
    basedirlist is: ['/usr/local', '/usr']

============================================================================

BUILDING MATPLOTLIB

            matplotlib: 1.2.1

                python: 2.6.6 (r266:84292, Feb 22 2013, 00:00:18) [GCC

                        4.4.7 20120313 (Red Hat 4.4.7-3)]

              platform: linux2

REQUIRED DEPENDENCIES

                 numpy: 1.7.1

             freetype2: 9.22.3

OPTIONAL BACKEND DEPENDENCIES

                libpng: found, but unknown version (no pkg-config)

                        * Could not find 'libpng' headers in any of

                        * '/usr/local/include', '/usr/include',

                        * '/usr/local/include', '/usr/include', '.'

               Tkinter: no

                        * TKAgg requires Tkinter

                  Gtk+: no

                        * Building for Gtk+ requires pygtk; you must be able

                        * to "import gtk" in your build/install environment

       Mac OS X native: no

                    Qt: no

                   Qt4: no

                PySide: no

                 Cairo: no

OPTIONAL DATE/TIMEZONE DEPENDENCIES

              dateutil: matplotlib will provide

                  pytz: matplotlib will provide

OPTIONAL USETEX DEPENDENCIES

                dvipng: no

           ghostscript: 8.70

                 latex: no

               pdftops: 0.12.4

[Edit setup.cfg to suppress the above messages]

============================================================================

pymods ['pylab']

packages ['matplotlib', 'matplotlib.backends',
'matplotlib.backends.qt4_editor', 'matplotlib.projections',
'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests',
'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid',
'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist',
'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz',
'dateutil', 'dateutil.zoneinfo']

running install

running build

running build_py

copying lib/matplotlib/mpl-data/matplotlibrc ->
build/lib.linux-x86_64-2.6/matplotlib/mpl-data

running build_ext

building 'matplotlib._png' extension

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include -I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I. -I/usr/include/python2.6 -c src/_png.cpp -o
build/temp.linux-x86_64-2.6/src/_png.o

src/_png.cpp:10:20: error: png.h: No such file or directory

In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,

                 from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,

                 from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,

                 from src/_png.cpp:28:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

In file included from src/file_compat.h:4,

                 from src/_png.cpp:30:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘PyObject* npy_PyFile_OpenFile(PyObject*, const char*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:247:
warning: deprecated conversion from string constant to ‘char*’

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘int npy_PyFile_CloseFile(PyObject*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:255:
warning: deprecated conversion from string constant to ‘char*’

src/_png.cpp: At global scope:

src/_png.cpp:67: error: variable or field ‘write_png_data’ declared void

src/_png.cpp:67: error: ‘png_structp’ was not declared in this scope

src/_png.cpp:67: error: ‘png_bytep’ was not declared in this scope

src/_png.cpp:67: error: ‘png_size_t’ was not declared in this scope

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-9i4ni6-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log
(mandala)[webalert@...212... ~]$

Could it be libpng?

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41019.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

Anything else I can try to get this going? Is the OS the problem? I am using
CentOS x64 6.4 Final

···

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41023.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

Try --

    yum install freetype-devel

This installed successfully.

Or as a shortcut to get all of the build dependencies installed:

    yum-builddep python-matplotlib

I'm not sure why this is failing for you -- I've never had that fail in that way on Fedora, but perhaps there's something different about centos.

The error below is because you don't have the libpng headers installed. Try:

yum install libpng-devel

Mike

···

On 05/07/2013 11:53 AM, rad wrote:

This ended with:

(mandala)[webalert@...212... ~]$ sudo yum-builddep python-matplotlib
[sudo] password for webalert:
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
  * base: centos.mirror.ca.planethoster.net
  * extras: mirror.science.uottawa.ca
  * rpmforge: mirror.team-cymru.org
  * updates: centos.mirror.ca.planethoster.net
Checking for new repos for mirrors
No source RPM found for python-matplotlib-0.99.1.2-1.el6.x86_64
No uninstalled build requires

Still running into the error:

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
agg24/src/agg_trans_affine.cpp -o
build/temp.linux-x86_64-2.6/agg24/src/agg_trans_affine.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
agg24/src/agg_image_filters.cpp -o
build/temp.linux-x86_64-2.6/agg24/src/agg_image_filters.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
agg24/src/agg_bezier_arc.cpp -o
build/temp.linux-x86_64-2.6/agg24/src/agg_bezier_arc.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c CXX/cxxsupport.cxx -o
build/temp.linux-x86_64-2.6/CXX/cxxsupport.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c CXX/cxx_extensions.cxx
-o build/temp.linux-x86_64-2.6/CXX/cxx_extensions.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c
CXX/IndirectPythonInterface.cxx -o
build/temp.linux-x86_64-2.6/CXX/IndirectPythonInterface.o

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-Isrc -Iagg24/include -I. -I/usr/include/python2.6 -c CXX/cxxextensions.c -o
build/temp.linux-x86_64-2.6/CXX/cxxextensions.o

g++ -pthread -shared build/temp.linux-x86_64-2.6/src/image.o
build/temp.linux-x86_64-2.6/src/mplutils.o
build/temp.linux-x86_64-2.6/agg24/src/agg_trans_affine.o
build/temp.linux-x86_64-2.6/agg24/src/agg_image_filters.o
build/temp.linux-x86_64-2.6/agg24/src/agg_bezier_arc.o
build/temp.linux-x86_64-2.6/CXX/cxxsupport.o
build/temp.linux-x86_64-2.6/CXX/cxx_extensions.o
build/temp.linux-x86_64-2.6/CXX/IndirectPythonInterface.o
build/temp.linux-x86_64-2.6/CXX/cxxextensions.o -L/usr/local/lib -L/usr/lib
-L/usr/local/lib64 -L/usr/lib64 -L/usr/lib64 -lstdc++ -lm -lpython2.6 -o
build/lib.linux-x86_64-2.6/matplotlib/_image.so

building 'matplotlib._png' extension

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include -I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I. -I/usr/include/python2.6 -c src/_png.cpp -o
build/temp.linux-x86_64-2.6/src/_png.o

src/_png.cpp:10:20: error: png.h: No such file or directory

In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,

                  from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,

                  from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,

                  from src/_png.cpp:28:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

In file included from src/file_compat.h:4,

                  from src/_png.cpp:30:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘PyObject* npy_PyFile_OpenFile(PyObject*, const char*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:247:
warning: deprecated conversion from string constant to ‘char*’

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘int npy_PyFile_CloseFile(PyObject*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:255:
warning: deprecated conversion from string constant to ‘char*’

src/_png.cpp: At global scope:

src/_png.cpp:67: error: variable or field ‘write_png_data’ declared void

src/_png.cpp:67: error: ‘png_structp’ was not declared in this scope

src/_png.cpp:67: error: ‘png_bytep’ was not declared in this scope

src/_png.cpp:67: error: ‘png_size_t’ was not declared in this scope

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-5AdrTx-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log
(mandala)[webalert@...212... ~]$ sudo yum-builddep python-matplotlib
[sudo] password for webalert:
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
  * base: centos.mirror.ca.planethoster.net
  * extras: mirror.science.uottawa.ca
  * rpmforge: mirror.team-cymru.org
  * updates: centos.mirror.ca.planethoster.net
Checking for new repos for mirrors
No source RPM found for python-matplotlib-0.99.1.2-1.el6.x86_64
No uninstalled build requires
(mandala)[webalert@...212... ~]$ pip install matplotlib
Downloading/unpacking matplotlib
   Running setup.py egg_info for package matplotlib
     basedirlist is: ['/usr/local', '/usr']
    ============================================================================
     BUILDING MATPLOTLIB
                 matplotlib: 1.2.1
                     python: 2.6.6 (r266:84292, Feb 22 2013, 00:00:18) [GCC
                             4.4.7 20120313 (Red Hat 4.4.7-3)]
                   platform: linux2
          REQUIRED DEPENDENCIES
                      numpy: 1.7.1
                  freetype2: 9.22.3
          OPTIONAL BACKEND DEPENDENCIES
                     libpng: found, but unknown version (no pkg-config)
                             * Could not find 'libpng' headers in any of
                             * '/usr/local/include', '/usr/include',
                             * '/usr/local/include', '/usr/include', '.'
                    Tkinter: no
                             * TKAgg requires Tkinter
                       Gtk+: no
                             * Building for Gtk+ requires pygtk; you must be
able
                             * to "import gtk" in your build/install
environment
            Mac OS X native: no
                         Qt: no
                        Qt4: no
                     PySide: no
                      Cairo: no
          OPTIONAL DATE/TIMEZONE DEPENDENCIES
                   dateutil: matplotlib will provide
                       pytz: matplotlib will provide
          OPTIONAL USETEX DEPENDENCIES
                     dvipng: no
                ghostscript: 8.70
                      latex: no
                    pdftops: 0.12.4
          [Edit setup.cfg to suppress the above messages]
    ============================================================================
     pymods ['pylab']
     packages ['matplotlib', 'matplotlib.backends',
'matplotlib.backends.qt4_editor', 'matplotlib.projections',
'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests',
'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid',
'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist',
'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz',
'dateutil', 'dateutil.zoneinfo']
     warning: no files found matching 'KNOWN_BUGS'
     warning: no files found matching 'INTERACTIVE'
     warning: no files found matching 'make.osx'
     warning: no files found matching 'MANIFEST'
     warning: no files found matching '__init__.py'
     warning: no files found matching 'examples/data/*'
     warning: no files found matching 'lib/mpl_toolkits'
     warning: no files found matching
'lib/matplotlib/mpl-data/matplotlib.conf'
     warning: no files found matching
'lib/matplotlib/mpl-data/matplotlib.conf.template'
     warning: manifest_maker: MANIFEST.in, line 16: 'recursive-include'
expects <dir> <pattern1> <pattern2> ...
     warning: no files found matching 'LICENSE*' under directory 'license'
Installing collected packages: matplotlib
   Running setup.py install for matplotlib
     basedirlist is: ['/usr/local', '/usr']
    ============================================================================
     BUILDING MATPLOTLIB
                 matplotlib: 1.2.1
                     python: 2.6.6 (r266:84292, Feb 22 2013, 00:00:18) [GCC
                             4.4.7 20120313 (Red Hat 4.4.7-3)]
                   platform: linux2
          REQUIRED DEPENDENCIES
                      numpy: 1.7.1
                  freetype2: 9.22.3
          OPTIONAL BACKEND DEPENDENCIES
                     libpng: found, but unknown version (no pkg-config)
                             * Could not find 'libpng' headers in any of
                             * '/usr/local/include', '/usr/include',
                             * '/usr/local/include', '/usr/include', '.'
                    Tkinter: no
                             * TKAgg requires Tkinter
                       Gtk+: no
                             * Building for Gtk+ requires pygtk; you must be
able
                             * to "import gtk" in your build/install
environment
            Mac OS X native: no
                         Qt: no
                        Qt4: no
                     PySide: no
                      Cairo: no
          OPTIONAL DATE/TIMEZONE DEPENDENCIES
                   dateutil: matplotlib will provide
                       pytz: matplotlib will provide
          OPTIONAL USETEX DEPENDENCIES
                     dvipng: no
                ghostscript: 8.70
                      latex: no
                    pdftops: 0.12.4
          [Edit setup.cfg to suppress the above messages]
    ============================================================================
     pymods ['pylab']
     packages ['matplotlib', 'matplotlib.backends',
'matplotlib.backends.qt4_editor', 'matplotlib.projections',
'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests',
'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid',
'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist',
'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz',
'dateutil', 'dateutil.zoneinfo']
     building 'matplotlib._png' extension
     gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API
-DPYCXX_ISO_CPP_LIB=1 -I/usr/local/include -I/usr/include
-I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I. -I/usr/include/python2.6 -c src/_png.cpp -o
build/temp.linux-x86_64-2.6/src/_png.o
     src/_png.cpp:10:20: error: png.h: No such file or directory
     In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,
                      from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,
                      from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,
                      from src/_png.cpp:28:
    /home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"
     In file included from src/file_compat.h:4,
                      from src/_png.cpp:30:
    /home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘PyObject* npy_PyFile_OpenFile(PyObject*, const char*)’:
    /home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:247:
warning: deprecated conversion from string constant to ‘char*’
    /home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘int npy_PyFile_CloseFile(PyObject*)’:
    /home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:255:
warning: deprecated conversion from string constant to ‘char*’
     src/_png.cpp: At global scope:
     src/_png.cpp:67: error: variable or field ‘write_png_data’ declared void
     src/_png.cpp:67: error: ‘png_structp’ was not declared in this scope
     src/_png.cpp:67: error: ‘png_bytep’ was not declared in this scope
     src/_png.cpp:67: error: ‘png_size_t’ was not declared in this scope
    /home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used
     error: command 'gcc' failed with exit status 1
     Complete output from command
/home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-9i4ni6-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6:
     basedirlist is: ['/usr/local', '/usr']

============================================================================

BUILDING MATPLOTLIB

             matplotlib: 1.2.1

                 python: 2.6.6 (r266:84292, Feb 22 2013, 00:00:18) [GCC

                         4.4.7 20120313 (Red Hat 4.4.7-3)]

               platform: linux2

REQUIRED DEPENDENCIES

                  numpy: 1.7.1

              freetype2: 9.22.3

OPTIONAL BACKEND DEPENDENCIES

                 libpng: found, but unknown version (no pkg-config)

                         * Could not find 'libpng' headers in any of

                         * '/usr/local/include', '/usr/include',

                         * '/usr/local/include', '/usr/include', '.'

                Tkinter: no

                         * TKAgg requires Tkinter

                   Gtk+: no

                         * Building for Gtk+ requires pygtk; you must be able

                         * to "import gtk" in your build/install environment

        Mac OS X native: no

                     Qt: no

                    Qt4: no

                 PySide: no

                  Cairo: no

OPTIONAL DATE/TIMEZONE DEPENDENCIES

               dateutil: matplotlib will provide

                   pytz: matplotlib will provide

OPTIONAL USETEX DEPENDENCIES

                 dvipng: no

            ghostscript: 8.70

                  latex: no

                pdftops: 0.12.4

[Edit setup.cfg to suppress the above messages]

============================================================================

pymods ['pylab']

packages ['matplotlib', 'matplotlib.backends',
'matplotlib.backends.qt4_editor', 'matplotlib.projections',
'matplotlib.testing', 'matplotlib.testing.jpl_units', 'matplotlib.tests',
'mpl_toolkits', 'mpl_toolkits.mplot3d', 'mpl_toolkits.axes_grid',
'mpl_toolkits.axes_grid1', 'mpl_toolkits.axisartist',
'matplotlib.sphinxext', 'matplotlib.tri', 'matplotlib.delaunay', 'pytz',
'dateutil', 'dateutil.zoneinfo']

running install

running build

running build_py

copying lib/matplotlib/mpl-data/matplotlibrc ->
build/lib.linux-x86_64-2.6/matplotlib/mpl-data

running build_ext

building 'matplotlib._png' extension

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
-fPIC -DPY_ARRAY_UNIQUE_SYMBOL=MPL_ARRAY_API -DPYCXX_ISO_CPP_LIB=1
-I/usr/local/include -I/usr/include -I/usr/local/include -I/usr/include -I.
-I/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include
-I. -I/usr/include/python2.6 -c src/_png.cpp -o
build/temp.linux-x86_64-2.6/src/_png.o

src/_png.cpp:10:20: error: png.h: No such file or directory

In file included from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarraytypes.h:1728,

                  from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,

                  from
/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/arrayobject.h:15,

                  from src/_png.cpp:28:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_deprecated_api.h:11:2:
warning: #warning "Using deprecated NumPy API, disable it by #defining
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION"

In file included from src/file_compat.h:4,

                  from src/_png.cpp:30:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘PyObject* npy_PyFile_OpenFile(PyObject*, const char*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:247:
warning: deprecated conversion from string constant to ‘char*’

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:
In function ‘int npy_PyFile_CloseFile(PyObject*)’:

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/npy_3kcompat.h:255:
warning: deprecated conversion from string constant to ‘char*’

src/_png.cpp: At global scope:

src/_png.cpp:67: error: variable or field ‘write_png_data’ declared void

src/_png.cpp:67: error: ‘png_structp’ was not declared in this scope

src/_png.cpp:67: error: ‘png_bytep’ was not declared in this scope

src/_png.cpp:67: error: ‘png_size_t’ was not declared in this scope

/home/webalert/.virtualenvs/mandala/lib/python2.6/site-packages/numpy/core/include/numpy/__multiarray_api.h:1594:
warning: ‘int _import_array()’ defined but not used

error: command 'gcc' failed with exit status 1

----------------------------------------
Command /home/webalert/.virtualenvs/mandala/bin/python -c "import
setuptools;__file__='/home/webalert/.virtualenvs/mandala/build/matplotlib/setup.py';exec(compile(open(__file__).read().replace('\r\n',
'\n'), __file__, 'exec'))" install --record
/tmp/pip-9i4ni6-record/install-record.txt
--single-version-externally-managed --install-headers
/home/webalert/.virtualenvs/mandala/include/site/python2.6 failed with error
code 1 in /home/webalert/.virtualenvs/mandala/build/matplotlib
Storing complete log in /home/webalert/.pip/pip.log
(mandala)[webalert@...212... ~]$

Could it be libpng?

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41019.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and
their applications. This 200-page book is written by three acclaimed
leaders in the field. The early access version is available now.
Download your free book today! http://p.sf.net/sfu/neotech_d2d_may
_______________________________________________
Matplotlib-devel mailing list
Matplotlib-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-devel

Thanks Mike!

yum-builddep python-matplotlib

did not fix the problem but installing the headers did the trick:

sudo yum install libpng-devel

It installed successfully now :slight_smile:

Rad

···

--
View this message in context: http://matplotlib.1069221.n5.nabble.com/getting-error-command-gcc-failed-with-exit-status-1-while-installing-matplotlib-in-CentOS-tp41007p41026.html
Sent from the matplotlib - devel mailing list archive at Nabble.com.